| Flutter iOS Embedder |

Instance Methods | Properties | List of all members
FakeFlutterUndoManagerDelegate Class Reference
Inheritance diagram for FakeFlutterUndoManagerDelegate:

## Instance Methods
(instancetype) | - initWithUndoManager:activeTextInputView:
Instance Methods inherited from <FlutterUndoManagerDelegate>
(void) | - handleUndoWithDirection:

## Properties
NSUInteger | undoCount
NSUInteger | redoCount
NSUndoManager * | undoManager
UIView< UITextInput > * | activeTextInputView
Properties inherited from <FlutterUndoManagerDelegate>
NSUndoManager * | undoManager
UIView< UITextInput > * | activeTextInputView

## Detailed Description

Definition at line 15 of file FlutterUndoManagerPluginTest.mm.

## Method Documentation

## ◆ initWithUndoManager:activeTextInputView:

- (instancetype) initWithUndoManager: |  | (NSUndoManager*) | undoManager
activeTextInputView: |  | (UIView<UITextInput>*) | activeTextInputView

Definition at line 29 of file FlutterUndoManagerPluginTest.mm.

29 :(NSUndoManager*)undoManager
30 activeTextInputView:(UIView<UITextInput>*)activeTextInputView {
31 self = [super init];
32 if (self) {
33 _undoManager = undoManager;
34 _activeTextInputView = activeTextInputView;
35 }
36 return self;
37 }

References activeTextInputView, and undoManager.

## Property Documentation

## ◆ activeTextInputView

- (UIView<UITextInput>*) activeTextInputView
| read write nonatomic assign

Definition at line 20 of file FlutterUndoManagerPluginTest.mm.

Referenced by initWithUndoManager:activeTextInputView:.

## ◆ redoCount

- (NSUInteger) redoCount
| read atomic assign

Definition at line 18 of file FlutterUndoManagerPluginTest.mm.

## ◆ undoCount

- (NSUInteger) undoCount
| read atomic assign

Definition at line 17 of file FlutterUndoManagerPluginTest.mm.

## ◆ undoManager

- (NSUndoManager*) undoManager
| read write nonatomic assign

Definition at line 19 of file FlutterUndoManagerPluginTest.mm.

Referenced by initWithUndoManager:activeTextInputView:.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/FlutterUndoManagerPluginTest.mm

FakeFlutterUndoManagerDelegate::undoManager
NSUndoManager * undoManager
Definition: FlutterUndoManagerPluginTest.mm:19
FakeFlutterUndoManagerDelegate::activeTextInputView
UIView< UITextInput > * activeTextInputView
Definition: FlutterUndoManagerPluginTest.mm:20